exploit the possibilities

Red Hat Security Advisory 2015-0093-01

Red Hat Security Advisory 2015-0093-01
Posted Jan 28, 2015
Authored by Red Hat | Site access.redhat.com

Red Hat Security Advisory 2015-0093-01 - Chromium is an open-source web browser, powered by WebKit. Several flaws were found in the processing of malformed web content. A web page containing malicious content could cause Chromium to crash or, potentially, execute arbitrary code with the privileges of the user running Chromium.

tags | advisory, web, arbitrary
systems | linux, redhat
advisories | CVE-2014-7923, CVE-2014-7924, CVE-2014-7925, CVE-2014-7926, CVE-2014-7927, CVE-2014-7928, CVE-2014-7929, CVE-2014-7930, CVE-2014-7931, CVE-2014-7932, CVE-2014-7933, CVE-2014-7934, CVE-2014-7935, CVE-2014-7936, CVE-2014-7937, CVE-2014-7938, CVE-2014-7939, CVE-2014-7940, CVE-2014-7941, CVE-2014-7942, CVE-2014-7943, CVE-2014-7944, CVE-2014-7945, CVE-2014-7946, CVE-2014-7947, CVE-2014-7948
MD5 | 2e1f61478c815262b8f1c0c605eeca75

Red Hat Security Advisory 2015-0093-01

Change Mirror Download
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Important: chromium-browser security update
Advisory ID: RHSA-2015:0093-01
Product: Red Hat Enterprise Linux Supplementary
Advisory URL: https://rhn.redhat.com/errata/RHSA-2015-0093.html
Issue date: 2015-01-27
CVE Names: CVE-2014-7923 CVE-2014-7924 CVE-2014-7925
CVE-2014-7926 CVE-2014-7927 CVE-2014-7928
CVE-2014-7929 CVE-2014-7930 CVE-2014-7931
CVE-2014-7932 CVE-2014-7933 CVE-2014-7934
CVE-2014-7935 CVE-2014-7936 CVE-2014-7937
CVE-2014-7938 CVE-2014-7939 CVE-2014-7940
CVE-2014-7941 CVE-2014-7942 CVE-2014-7943
CVE-2014-7944 CVE-2014-7945 CVE-2014-7946
CVE-2014-7947 CVE-2014-7948
=====================================================================

1. Summary:

Updated chromium-browser packages that fix multiple security issues are now
available for Red Hat Enterprise Linux 6 Supplementary.

Red Hat Product Security has rated this update as having Important security
impact. Common Vulnerability Scoring System (CVSS) base scores, which give
detailed severity ratings, are available for each vulnerability from the
CVE links in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Desktop Supplementary (v. 6) - i386, x86_64
Red Hat Enterprise Linux Server Supplementary (v. 6) - i386, x86_64
Red Hat Enterprise Linux Workstation Supplementary (v. 6) - i386, x86_64

3. Description:

Chromium is an open-source web browser, powered by WebKit (Blink).

Several flaws were found in the processing of malformed web content. A web
page containing malicious content could cause Chromium to crash or,
potentially, execute arbitrary code with the privileges of the user running
Chromium. (CVE-2014-7923, CVE-2014-7924, CVE-2014-7925, CVE-2014-7926,
CVE-2014-7927, CVE-2014-7928, CVE-2014-7929, CVE-2014-7930, CVE-2014-7931,
CVE-2014-7932, CVE-2014-7933, CVE-2014-7934, CVE-2014-7935, CVE-2014-7936,
CVE-2014-7937, CVE-2014-7938, CVE-2014-7939, CVE-2014-7940, CVE-2014-7941,
CVE-2014-7942, CVE-2014-7943, CVE-2014-7944, CVE-2014-7945, CVE-2014-7946,
CVE-2014-7947, CVE-2014-7948)

All Chromium users should upgrade to these updated packages, which contain
Chromium version 40.0.2214.91, which corrects these issues. After
installing the update, Chromium must be restarted for the changes to take
effect.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to use the
Red Hat Network to apply this update are available at
https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1185202 - CVE-2014-7923 ICU: regexp engine memory corruption
1185203 - CVE-2014-7924 chromium-browser: use-after-free in IndexedDB
1185204 - CVE-2014-7925 chromium-browser: use-after-free in WebAudio
1185205 - CVE-2014-7926 ICU: regexp engine memory corruption
1185206 - CVE-2014-7927 chromium-browser: memory corruption in V8
1185208 - CVE-2014-7928 chromium-browser: memory corruption in V8
1185209 - CVE-2014-7929 chromium-browser: use-after-free in DOM
1185210 - CVE-2014-7930 chromium-browser: use-after-free in DOM
1185211 - CVE-2014-7931 chromium-browser: memory corruption in V8
1185212 - CVE-2014-7932 chromium-browser: use-after-free in DOM
1185213 - CVE-2014-7933 chromium-browser: use-after-free in FFmpeg
1185214 - CVE-2014-7934 chromium-browser: use-after-free in DOM
1185215 - CVE-2014-7935 chromium-browser: use-after-free in Speech
1185216 - CVE-2014-7936 chromium-browser: use-after-free in Views
1185217 - CVE-2014-7937 chromium-browser: use-after-free in FFmpeg
1185218 - CVE-2014-7938 chromium-browser: memory corruption in Fonts
1185219 - CVE-2014-7939 chromium-browser: same-origin-bypass in V8
1185220 - CVE-2014-7940 ICU: uninitialized value use in the collation component
1185221 - CVE-2014-7941 chromium-browser: out-of-bounds read in UI
1185222 - CVE-2014-7942 chromium-browser: uninitialized-value in Fonts
1185223 - CVE-2014-7943 chromium-browser: out-of-bounds read in Skia
1185224 - CVE-2014-7944 chromium-browser: out-of-bounds read in PDFium
1185225 - CVE-2014-7945 chromium-browser: out-of-bounds read in PDFium
1185226 - CVE-2014-7946 chromium-browser: out-of-bounds read in Fonts
1185229 - CVE-2014-7947 chromium-browser: out-of-bounds read in PDFium
1185230 - CVE-2014-7948 chromium-browser: caching error in AppCache

6. Package List:

Red Hat Enterprise Linux Desktop Supplementary (v. 6):

Source:
chromium-browser-40.0.2214.91-1.el6_6.src.rpm

i386:
chromium-browser-40.0.2214.91-1.el6_6.i686.rpm
chromium-browser-debuginfo-40.0.2214.91-1.el6_6.i686.rpm

x86_64:
chromium-browser-40.0.2214.91-1.el6_6.x86_64.rpm
chromium-browser-debuginfo-40.0.2214.91-1.el6_6.x86_64.rpm

Red Hat Enterprise Linux Server Supplementary (v. 6):

Source:
chromium-browser-40.0.2214.91-1.el6_6.src.rpm

i386:
chromium-browser-40.0.2214.91-1.el6_6.i686.rpm
chromium-browser-debuginfo-40.0.2214.91-1.el6_6.i686.rpm

x86_64:
chromium-browser-40.0.2214.91-1.el6_6.x86_64.rpm
chromium-browser-debuginfo-40.0.2214.91-1.el6_6.x86_64.rpm

Red Hat Enterprise Linux Workstation Supplementary (v. 6):

Source:
chromium-browser-40.0.2214.91-1.el6_6.src.rpm

i386:
chromium-browser-40.0.2214.91-1.el6_6.i686.rpm
chromium-browser-debuginfo-40.0.2214.91-1.el6_6.i686.rpm

x86_64:
chromium-browser-40.0.2214.91-1.el6_6.x86_64.rpm
chromium-browser-debuginfo-40.0.2214.91-1.el6_6.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2014-7923
https://access.redhat.com/security/cve/CVE-2014-7924
https://access.redhat.com/security/cve/CVE-2014-7925
https://access.redhat.com/security/cve/CVE-2014-7926
https://access.redhat.com/security/cve/CVE-2014-7927
https://access.redhat.com/security/cve/CVE-2014-7928
https://access.redhat.com/security/cve/CVE-2014-7929
https://access.redhat.com/security/cve/CVE-2014-7930
https://access.redhat.com/security/cve/CVE-2014-7931
https://access.redhat.com/security/cve/CVE-2014-7932
https://access.redhat.com/security/cve/CVE-2014-7933
https://access.redhat.com/security/cve/CVE-2014-7934
https://access.redhat.com/security/cve/CVE-2014-7935
https://access.redhat.com/security/cve/CVE-2014-7936
https://access.redhat.com/security/cve/CVE-2014-7937
https://access.redhat.com/security/cve/CVE-2014-7938
https://access.redhat.com/security/cve/CVE-2014-7939
https://access.redhat.com/security/cve/CVE-2014-7940
https://access.redhat.com/security/cve/CVE-2014-7941
https://access.redhat.com/security/cve/CVE-2014-7942
https://access.redhat.com/security/cve/CVE-2014-7943
https://access.redhat.com/security/cve/CVE-2014-7944
https://access.redhat.com/security/cve/CVE-2014-7945
https://access.redhat.com/security/cve/CVE-2014-7946
https://access.redhat.com/security/cve/CVE-2014-7947
https://access.redhat.com/security/cve/CVE-2014-7948
https://access.redhat.com/security/updates/classification/#important
http://googlechromereleases.blogspot.com/2015/01/stable-update.html

8. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2015 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iD8DBQFUx/dpXlSAg2UNWIIRAicvAJ48EWNhTADIJpssRxTnXXoorLHcPQCeOXCx
tHGzcUTFc2XPKT1/opdUYIw=
=QwdV
-----END PGP SIGNATURE-----


--
RHSA-announce mailing list
RHSA-announce@redhat.com
https://www.redhat.com/mailman/listinfo/rhsa-announce

Comments

RSS Feed Subscribe to this comment feed

No comments yet, be the first!

Login or Register to post a comment

File Archive:

January 2020

  • Su
  • Mo
  • Tu
  • We
  • Th
  • Fr
  • Sa
  • 1
    Jan 1st
    8 Files
  • 2
    Jan 2nd
    11 Files
  • 3
    Jan 3rd
    11 Files
  • 4
    Jan 4th
    2 Files
  • 5
    Jan 5th
    2 Files
  • 6
    Jan 6th
    18 Files
  • 7
    Jan 7th
    15 Files
  • 8
    Jan 8th
    16 Files
  • 9
    Jan 9th
    10 Files
  • 10
    Jan 10th
    13 Files
  • 11
    Jan 11th
    2 Files
  • 12
    Jan 12th
    4 Files
  • 13
    Jan 13th
    21 Files
  • 14
    Jan 14th
    18 Files
  • 15
    Jan 15th
    12 Files
  • 16
    Jan 16th
    18 Files
  • 17
    Jan 17th
    11 Files
  • 18
    Jan 18th
    3 Files
  • 19
    Jan 19th
    2 Files
  • 20
    Jan 20th
    15 Files
  • 21
    Jan 21st
    21 Files
  • 22
    Jan 22nd
    19 Files
  • 23
    Jan 23rd
    19 Files
  • 24
    Jan 24th
    0 Files
  • 25
    Jan 25th
    0 Files
  • 26
    Jan 26th
    0 Files
  • 27
    Jan 27th
    0 Files
  • 28
    Jan 28th
    0 Files
  • 29
    Jan 29th
    0 Files
  • 30
    Jan 30th
    0 Files
  • 31
    Jan 31st
    0 Files

Top Authors In Last 30 Days

File Tags

Systems

packet storm

© 2016 Packet Storm. All rights reserved.

Services
Security Services
Hosting By
Rokasec
close